FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000619FL52.2 Subprogram FLUC (CONV)public2014-12-16 07:452015-04-15 15:06
ReporterFalk Reichbott 
Assigned ToMykhailo Moldavskyy 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1 
Target Version5.2Fixed in Version5.1.05 
Summary0000619: Add a new subprogram for hash/signature generation and verification
DescriptionThe CNV.HSH component was integrated in XCNV and CONV command. For a simple checksum generation a write to DUMMY is required in this case. It would be useful to have a own subprogram and a corresponding command to generate and verifiy a checksum or in future a signature.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000779)
Falk Reichbott (administrator)
2015-03-22 15:49

With version 5.1.5 the XCHK and HASH commands are available.

XCHK can be used like XCNV only with the INPUT part (only read, no write) to generate or verify hash values and other stuff without write overhead.

The HASH provides simply the same functionality like the UNIX tools "sch1sum" or "md5sum" does.

- Issue History
Date Modified Username Field Change
2014-12-16 07:45 Falk Reichbott New Issue
2014-12-16 07:45 Falk Reichbott Status new => assigned
2014-12-16 07:45 Falk Reichbott Assigned To => Mykhailo Moldavskyy
2015-03-22 15:49 Falk Reichbott Note Added: 0000779
2015-03-22 15:49 Falk Reichbott Status assigned => resolved
2015-03-22 15:49 Falk Reichbott Fixed in Version => 5.1
2015-03-22 15:49 Falk Reichbott Resolution open => fixed
2015-04-15 15:06 Falk Reichbott Fixed in Version 5.1 => 5.1.05


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker